com.google.cloud.dataflow.sdk.transforms.windowing

## Class GlobalWindow.Coder

- java.lang.Object
- - com.google.cloud.dataflow.sdk.coders.StandardCoder<T>
  - - com.google.cloud.dataflow.sdk.coders.DeterministicStandardCoder<T>
    - - com.google.cloud.dataflow.sdk.coders.AtomicCoder<GlobalWindow>
      - - com.google.cloud.dataflow.sdk.transforms.windowing.GlobalWindow.Coder

All Implemented Interfaces:
  Coder<GlobalWindow>, Serializable

Enclosing class:
  GlobalWindow

    public static class GlobalWindow.Coder
    extends AtomicCoder<GlobalWindow>

`GlobalWindow.Coder` for encoding and decoding `GlobalWindow`s.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.coders.Coder

`Coder.Context, Coder.NonDeterministicException`

### Field Summary

Fields
`static GlobalWindow.Coder` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`GlobalWindow` `decode(InputStream inStream, Coder.Context context)` Decodes a value of type `T` from the given input stream in the given context.
`void` `encode(GlobalWindow window, OutputStream outStream, Coder.Context context)` Encodes the given value of type `T` onto the given output stream in the given context.

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.AtomicCoder

`getCoderArguments, getInstanceComponents`

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.DeterministicStandardCoder

`verifyDeterministic`

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.StandardCoder

`asCloudObject, consistentWithEquals, equals, getAllowedEncodings, getComponents, getEncodedElementByteSize, getEncodingId, hashCode, isRegisterByteSizeObserverCheap, registerByteSizeObserver, structuralValue, toString, verifyDeterministic, verifyDeterministic`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final GlobalWindow.Coder INSTANCE

### Method Detail

#### encode

    public void encode(GlobalWindow window,
                       OutputStream outStream,
                       Coder.Context context)

Description copied from interface: `Coder`
Encodes the given value of type `T` onto the given output stream in the given context.

#### decode

    public GlobalWindow decode(InputStream inStream,
                               Coder.Context context)

Description copied from interface: `Coder`
Decodes a value of type `T` from the given input stream in the given context. Returns the decoded value.